Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.heuristic.selector.value
Class ValueSelectorConfig

    java.lang.Object
      org.optaplanner.core.config.heuristic.selector.SelectorConfig
          org.optaplanner.core.config.heuristic.selector.value.ValueSelectorConfig

    public class ValueSelectorConfig

extends SelectorConfig

Nested Class Summary
`static class` | `ValueSelectorConfig.ValueSorterManner` Build-in ways of sorting.

Field Summary
`protected SelectionCacheType` | `cacheType`
`protected Class<? extends SelectionProbabilityWeightFactory>` | `probabilityWeightFactoryClass`
`protected SelectionOrder` | `selectionOrder`
`protected Class<? extends SelectionSorter>` | `sorterClass`
`protected Class<? extends Comparator>` | `sorterComparatorClass`
`protected ValueSelectorConfig.ValueSorterManner` | `sorterManner`
`protected SelectionSorterOrder` | `sorterOrder`
`protected Class<? extends SelectionSorterWeightFactory>` | `sorterWeightFactoryClass`
`protected String` | `variableName`

Constructor Summary
`ValueSelectorConfig()`

Method Summary
`protected ValueSelector` | `applyInitializedChainedValueFilter(HeuristicConfigPolicy configPolicy, PlanningVariableDescriptor variableDescriptor, SelectionCacheType resolvedCacheType, SelectionOrder resolvedSelectionOrder, ValueSelector valueSelector)`
`ValueSelector` | `buildValueSelector(HeuristicConfigPolicy configPolicy, PlanningEntityDescriptor entityDescriptor, SelectionCacheType minimumCacheType, SelectionOrder inheritedSelectionOrder)`
`protected boolean` | `determineBaseRandomSelection(PlanningVariableDescriptor variableDescriptor, SelectionCacheType resolvedCacheType, SelectionOrder resolvedSelectionOrder)`
`SelectionCacheType` | `getCacheType()`
`Class<? extends SelectionProbabilityWeightFactory>` | `getProbabilityWeightFactoryClass()`
`SelectionOrder` | `getSelectionOrder()`
`Class<? extends SelectionSorter>` | `getSorterClass()`
`Class<? extends Comparator>` | `getSorterComparatorClass()`
`ValueSelectorConfig.ValueSorterManner` | `getSorterManner()`
`SelectionSorterOrder` | `getSorterOrder()`
`Class<? extends SelectionSorterWeightFactory>` | `getSorterWeightFactoryClass()`
`String` | `getVariableName()`
`void` | `inherit(ValueSelectorConfig inheritedConfig)`
`protected boolean` | `isBaseInherentlyCached(PlanningVariableDescriptor variableDescriptor)`
`void` | `setCacheType(SelectionCacheType cacheType)`
`void` | `setProbabilityWeightFactoryClass(Class<? extends SelectionProbabilityWeightFactory> probabilityWeightFactoryClass)`
`void` | `setSelectionOrder(SelectionOrder selectionOrder)`
`void` | `setSorterClass(Class<? extends SelectionSorter> sorterClass)`
`void` | `setSorterComparatorClass(Class<? extends Comparator> sorterComparatorClass)`
`void` | `setSorterManner(ValueSelectorConfig.ValueSorterManner sorterManner)`
`void` | `setSorterOrder(SelectionSorterOrder sorterOrder)`
`void` | `setSorterWeightFactoryClass(Class<? extends SelectionSorterWeightFactory> sorterWeightFactoryClass)`
`void` | `setVariableName(String variableName)`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.config.heuristic.selector.SelectorConfig
`deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptors, inherit, validateCacheTypeVersusSelectionOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### variableName

    protected String variableName

### cacheType

    protected SelectionCacheType cacheType

### selectionOrder

    protected SelectionOrder selectionOrder

### sorterManner

    protected ValueSelectorConfig.ValueSorterManner sorterManner

### sorterComparatorClass

    protected Class<? extends Comparator> sorterComparatorClass

### sorterWeightFactoryClass

    protected Class<? extends SelectionSorterWeightFactory> sorterWeightFactoryClass

### sorterOrder

    protected SelectionSorterOrder sorterOrder

### sorterClass

    protected Class<? extends SelectionSorter> sorterClass

### probabilityWeightFactoryClass

    protected Class<? extends SelectionProbabilityWeightFactory> probabilityWeightFactoryClass

Constructor Detail

### ValueSelectorConfig

    public ValueSelectorConfig()

Method Detail

### getVariableName

    public String getVariableName()

### setVariableName

    public void setVariableName(String variableName)

### getCacheType

    public SelectionCacheType getCacheType()

### setCacheType

    public void setCacheType(SelectionCacheType cacheType)

### getSelectionOrder

    public SelectionOrder getSelectionOrder()

### setSelectionOrder

    public void setSelectionOrder(SelectionOrder selectionOrder)

### getSorterManner

    public ValueSelectorConfig.ValueSorterManner getSorterManner()

### setSorterManner

    public void setSorterManner(ValueSelectorConfig.ValueSorterManner sorterManner)

### getSorterComparatorClass

    public Class<? extends Comparator> getSorterComparatorClass()

### setSorterComparatorClass

    public void setSorterComparatorClass(Class<? extends Comparator> sorterComparatorClass)

### getSorterWeightFactoryClass

    public Class<? extends SelectionSorterWeightFactory> getSorterWeightFactoryClass()

### setSorterWeightFactoryClass

    public void setSorterWeightFactoryClass(Class<? extends SelectionSorterWeightFactory> sorterWeightFactoryClass)

### getSorterOrder

    public SelectionSorterOrder getSorterOrder()

### setSorterOrder

    public void setSorterOrder(SelectionSorterOrder sorterOrder)

### getSorterClass

    public Class<? extends SelectionSorter> getSorterClass()

### setSorterClass

    public void setSorterClass(Class<? extends SelectionSorter> sorterClass)

### getProbabilityWeightFactoryClass

    public Class<? extends SelectionProbabilityWeightFactory> getProbabilityWeightFactoryClass()

### setProbabilityWeightFactoryClass

    public void setProbabilityWeightFactoryClass(Class<? extends SelectionProbabilityWeightFactory> probabilityWeightFactoryClass)

### buildValueSelector

    public ValueSelector buildValueSelector(HeuristicConfigPolicy configPolicy,
                                            PlanningEntityDescriptor entityDescriptor,
                                            SelectionCacheType minimumCacheType,
                                            SelectionOrder inheritedSelectionOrder)

  Parameters:
    `configPolicy` - never null
    `entityDescriptor` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `inheritedSelectionOrder` - never null
  Returns:
    never null

### determineBaseRandomSelection

    protected boolean determineBaseRandomSelection(PlanningVariableDescriptor variableDescriptor,
                                                   SelectionCacheType resolvedCacheType,
                                                   SelectionOrder resolvedSelectionOrder)

### isBaseInherentlyCached

    protected boolean isBaseInherentlyCached(PlanningVariableDescriptor variableDescriptor)

### applyInitializedChainedValueFilter

    protected ValueSelector applyInitializedChainedValueFilter(HeuristicConfigPolicy configPolicy,
                                                               PlanningVariableDescriptor variableDescriptor,
                                                               SelectionCacheType resolvedCacheType,
                                                               SelectionOrder resolvedSelectionOrder,
                                                               ValueSelector valueSelector)

### inherit

    public void inherit(ValueSelectorConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectorConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.